Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginSBaseConverter

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBaseConverter

    public final class PluginSBaseConverter

extends java.lang.Object

PluginSBaseConverter

Author:
  mki

Constructor Summary
`PluginSBaseConverter()`

Method Summary
`static PluginAntiSenseRNA` | `convertToPluginAntiSenseRNA(jp.sbi.celldesigner.sbmlExtension.AntiSenseRNA target)` Converts AntiSenseRNA to PluginAntiSenseRNA
`static PluginCompartment` | `convertToPluginCompartment(Compartment compartment, jp.sbi.celldesigner.sbmlExtension.CompartmentAnnotation annotation)` Converts Compartment to PluginCompartment
`static PluginCompartmentType` | `convertToPluginCompartmentType(CompartmentType compartmentType)`
`static PluginConstraint` | `convertToPluginConstraint(Constraint constraint)`
`static PluginEvent` | `convertToPluginEvent(Event event)` Converts Event to PluginEvent
`static PluginEventAssignment` | `convertToPluginEventAssignment(EventAssignment event, PluginEvent parent)` Converts EventAssignment to PluginEventAssignment
`static PluginFunctionDefinition` | `convertToPluginFunctionDefinition(FunctionDefinition function)` Converts FunctionDefinition to PluginFunctionDefinition
`static PluginGene` | `convertToPluginGene(jp.sbi.celldesigner.sbmlExtension.Gene target)` Converts Gene to PluginGene
`static PluginInitialAssignment` | `convertToPluginInitialAssignment(InitialAssignment initialAssignment)`
`static PluginKineticLaw` | `convertToPluginKineticLaw(KineticLaw law, PluginReaction parent)` Converts KineticLaw to PluginKineticLaw
`static PluginModel` | `convertToPluginModel(Model model)` Converts Model to PluginModel
`static PluginModel` | `convertToPluginModel(Model model, jp.sbi.celldesigner.SBModel sbModel)` Converts Model to PluginModel
`static PluginModifierSpeciesReference` | `convertToPluginModifierSpeciesReference(ModifierSpeciesReference ref, PluginReaction parent, jp.sbi.celldesigner.ReactionLink link, jp.sbi.celldesigner.sbmlExtension.SpeciesReferenceAnnotation anno, PluginSpecies psp)` Convers ModifierSpeciesReference to PluginModifierSpeciesReference
`static PluginParameter` | `convertToPluginParameter(Parameter param, PluginKineticLaw parent)` Converts Parameter to PluginParameter
`static PluginParameter` | `convertToPluginParameter(Parameter param, PluginModel parent)` Converts Parameter to PluginParameter
`static PluginProtein` | `convertToPluginProtein(jp.sbi.celldesigner.sbmlExtension.Protein target)` Converts Protein to PluginProtein
`static PluginReaction` | `convertToPluginReaction(Reaction reaction, jp.sbi.celldesigner.sbmlExtension.ReactionAnnotation annotation)` Converts Reaction to PluginReaction
`static PluginRNA` | `convertToPluginRNA(jp.sbi.celldesigner.sbmlExtension.RNA target)` Converts RNA to PluginRNA
`static PluginRule` | `convertToPluginRule(Rule rule, PluginModel parent)` Converts Rule to PluginRule
`static PluginSBase` | `convertToPluginSBase(SBase sbase)` Converts SBase to PluginSBase
`static PluginSpecies` | `convertToPluginSpecies(Species species, jp.sbi.celldesigner.sbmlExtension.SpeciesAnnotation annotation)` Converts Species to PluginSpecies
`static PluginSpeciesAlias` | `convertToPluginSpeciesAlias(jp.sbi.celldesigner.SpeciesAlias alias, PluginSpecies parent)` Convers SpeciesAlias to PluginSpeciesAlias
`static PluginSpeciesReference` | `convertToPluginSpeciesReference(SpeciesReference ref, PluginReaction parent, jp.sbi.celldesigner.sbmlExtension.SpeciesReferenceAnnotation anno, PluginSpecies psp)` Converts SpeciesReference to PluginSpeciesReference
`static PluginSpeciesType` | `convertToPluginSpeciesType(SpeciesType speciesType)`
`static PluginUnit` | `convertToPluginUnit(Unit unit, PluginUnitDefinition parent)` Converts Unit to PluginUnit
`static PluginUnitDefinition` | `convertToPluginUnitDefinition(UnitDefinition unit)` Converts UnitDefinition to PluginUnitDefinition

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginSBaseConverter

    public PluginSBaseConverter()

Method Detail

### convertToPluginSpeciesAlias

    public static final PluginSpeciesAlias convertToPluginSpeciesAlias(jp.sbi.celldesigner.SpeciesAlias alias,
                                                                       PluginSpecies parent)

  Convers SpeciesAlias to PluginSpeciesAlias

  Parameters:
    `alias` -
    `parent` -
  Returns:
    PluginSpeciesAlias

### convertToPluginSBase

    public static final PluginSBase convertToPluginSBase(SBase sbase)

  Converts SBase to PluginSBase

  Parameters:
    `sbase` -
  Returns:
    PluginSBase

### convertToPluginModel

    public static final PluginModel convertToPluginModel(Model model)

  Converts Model to PluginModel

  Parameters:
    `model` -

### convertToPluginModel

    public static final PluginModel convertToPluginModel(Model model,
                                                         jp.sbi.celldesigner.SBModel sbModel)

  Converts Model to PluginModel

  Parameters:
    `model` -
    `sbModel` -

### convertToPluginProtein

    public static final PluginProtein convertToPluginProtein(jp.sbi.celldesigner.sbmlExtension.Protein target)

  Converts Protein to PluginProtein

  Parameters:
    `target` - Protein

### convertToPluginGene

    public static final PluginGene convertToPluginGene(jp.sbi.celldesigner.sbmlExtension.Gene target)

  Converts Gene to PluginGene

  Parameters:
    `target` - Gene

### convertToPluginAntiSenseRNA

    public static final PluginAntiSenseRNA convertToPluginAntiSenseRNA(jp.sbi.celldesigner.sbmlExtension.AntiSenseRNA target)

  Converts AntiSenseRNA to PluginAntiSenseRNA

  Parameters:
    `target` -

### convertToPluginRNA

    public static final PluginRNA convertToPluginRNA(jp.sbi.celldesigner.sbmlExtension.RNA target)

  Converts RNA to PluginRNA

  Parameters:
    `target` - RNA

### convertToPluginSpecies

    public static final PluginSpecies convertToPluginSpecies(Species species,
                                                             jp.sbi.celldesigner.sbmlExtension.SpeciesAnnotation annotation)

  Converts Species to PluginSpecies

  Parameters:
    `species` -
    `annotation` -
  Returns:
    PluginSpecies

### convertToPluginReaction

    public static final PluginReaction convertToPluginReaction(Reaction reaction,
                                                               jp.sbi.celldesigner.sbmlExtension.ReactionAnnotation annotation)

  Converts Reaction to PluginReaction

  Parameters:
    `reaction` -
    `annotation` -

### convertToPluginCompartment

    public static final PluginCompartment convertToPluginCompartment(Compartment compartment,
                                                                     jp.sbi.celldesigner.sbmlExtension.CompartmentAnnotation annotation)

  Converts Compartment to PluginCompartment

  Parameters:
    `compartment` -
    `annotation` -
  Returns:
    PluginCompartment

### convertToPluginEvent

    public static final PluginEvent convertToPluginEvent(Event event)

  Converts Event to PluginEvent

  Parameters:
    `event` -

### convertToPluginEventAssignment

    public static final PluginEventAssignment convertToPluginEventAssignment(EventAssignment event,
                                                                             PluginEvent parent)

  Converts EventAssignment to PluginEventAssignment

  Parameters:
    `event` -
    `parent` -

### convertToPluginKineticLaw

    public static final PluginKineticLaw convertToPluginKineticLaw(KineticLaw law,
                                                                   PluginReaction parent)

  Converts KineticLaw to PluginKineticLaw

  Parameters:
    `law` -
    `parent` -

### convertToPluginParameter

    public static final PluginParameter convertToPluginParameter(Parameter param,
                                                                 PluginKineticLaw parent)

  Converts Parameter to PluginParameter

  Parameters:
    `param` -
    `parent` -

### convertToPluginParameter

    public static final PluginParameter convertToPluginParameter(Parameter param,
                                                                 PluginModel parent)

  Converts Parameter to PluginParameter

  Parameters:
    `param` -
    `parent` -

### convertToPluginSpeciesReference

    public static final PluginSpeciesReference convertToPluginSpeciesReference(SpeciesReference ref,
                                                                               PluginReaction parent,
                                                                               jp.sbi.celldesigner.sbmlExtension.SpeciesReferenceAnnotation anno,
                                                                               PluginSpecies psp)

  Converts SpeciesReference to PluginSpeciesReference

  Parameters:
    `ref` - SpeciesReference
    `parent` - PluginReaction
    `anno` - SpeciesAnnotation
    `psp` - PluginSpecies

### convertToPluginModifierSpeciesReference

    public static final PluginModifierSpeciesReference convertToPluginModifierSpeciesReference(ModifierSpeciesReference ref,
                                                                                               PluginReaction parent,
                                                                                               jp.sbi.celldesigner.ReactionLink link,
                                                                                               jp.sbi.celldesigner.sbmlExtension.SpeciesReferenceAnnotation anno,
                                                                                               PluginSpecies psp)

  Convers ModifierSpeciesReference to PluginModifierSpeciesReference

  Parameters:
    `ref` - ModifierSpeciesReference
    `parent` - PluginReaction
    `link` - ReactionLink
    `anno` - SpeciesReferenceAnnotation
    `psp` - PluginSpecies

### convertToPluginFunctionDefinition

    public static final PluginFunctionDefinition convertToPluginFunctionDefinition(FunctionDefinition function)

  Converts FunctionDefinition to PluginFunctionDefinition

  Parameters:
    `function` -
  Returns:

### convertToPluginRule

    public static final PluginRule convertToPluginRule(Rule rule,
                                                       PluginModel parent)

  Converts Rule to PluginRule

  Parameters:
    `rule` -
  Returns:

### convertToPluginUnitDefinition

    public static final PluginUnitDefinition convertToPluginUnitDefinition(UnitDefinition unit)

  Converts UnitDefinition to PluginUnitDefinition

  Parameters:
    `unit` -

### convertToPluginUnit

    public static final PluginUnit convertToPluginUnit(Unit unit,
                                                       PluginUnitDefinition parent)

  Converts Unit to PluginUnit

  Parameters:
    `unit` -
    `parent` -

### convertToPluginSpeciesType

    public static final PluginSpeciesType convertToPluginSpeciesType(SpeciesType speciesType)

### convertToPluginCompartmentType

    public static final PluginCompartmentType convertToPluginCompartmentType(CompartmentType compartmentType)

### convertToPluginInitialAssignment

    public static final PluginInitialAssignment convertToPluginInitialAssignment(InitialAssignment initialAssignment)

### convertToPluginConstraint

    public static final PluginConstraint convertToPluginConstraint(Constraint constraint)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD